# This file created by conda-build 3.21.5
# meta.yaml template originally from:
# /private/var/folders/sl/jxtl8mn91bx0snqfb6t10h3h0000gr/T/airflowtmpmr1cjpqq/7d4141d7-867f-46e0-bafd-eb16ed4bb16b/src/buildscripts/condarecipe.local, last modified Thu Oct 13 15:21:33 2022
# ------------------------------------------------

package:
  name: numba
  version: 0.56.3
source:
  path: /private/var/folders/sl/jxtl8mn91bx0snqfb6t10h3h0000gr/T/airflowtmpmr1cjpqq/7d4141d7-867f-46e0-bafd-eb16ed4bb16b/src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
    - pycc = numba.pycc:main
  ignore_run_exports:
    - tbb
  missing_dso_whitelist:
    - lib/libiomp5.dylib
  number: '0'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np1.11py3.7hbb42477_g6982acdaa_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 12.0.0 hecd8cb5_2
    - clang-12 12.0.0 default_hfcad0e5_2
    - clang_osx-64 12.0.0 h7ad7729_2
    - clangxx 12.0.0 default_hfcad0e5_2
    - clangxx_osx-64 12.0.0 he0c6f94_2
    - compiler-rt 12.0.0 hd87ff74_2
    - compiler-rt_osx-64 12.0.0 hfb26b64_2
    - ld64_osx-64 530 h70f3046_23
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp12 12.0.0 default_hfcad0e5_2
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.3 hb1e8313_2
    - libllvm12 12.0.0 h9b2ccf5_3
    - libllvm14 14.0.6 he552d86_0
    - llvm-openmp 14.0.6 h0dcd299_0
    - llvm-tools 12.0.0 h9b2ccf5_3
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.12 h4dc903c_3
  host:
    - blas 1.0 mkl
    - ca-certificates 2022.07.19 hecd8cb5_0
    - certifi 2022.9.24 py37hecd8cb5_0
    - importlib-metadata 4.11.3 py37hecd8cb5_0
    - importlib_metadata 4.11.3 hd3eb1b0_0
    - intel-openmp 2022.1.0 haf03e11_3719
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - llvm-openmp 14.0.6 h0dcd299_0
    - llvmlite 0.39.0dev0 py37_24
    - mkl 2019.4 233
    - ncurses 6.3 hca72f7f_3
    - numpy 1.11.3 py37hacdab7b_12
    - numpy-base 1.11.3 py37h6575580_12
    - openssl 1.1.1q hca72f7f_0
    - pip 22.2.2 py37hecd8cb5_0
    - python 3.7.13 hdfd78df_0
    - readline 8.1.2 hca72f7f_1
    - setuptools 63.4.1 py37hecd8cb5_0
    - sqlite 3.39.3 h707629a_0
    - tbb 2021.5.0 haf03e11_0
    - tbb-devel 2021.5.0 haf03e11_0
    - tk 8.6.12 h5d9f67b_0
    - typing_extensions 4.3.0 py37hecd8cb5_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.6 hca72f7f_0
    - zipp 3.8.0 py37hecd8cb5_0
    - zlib 1.2.12 h4dc903c_3
  run:
    - importlib_metadata
    - libcxx >=12.0.0
    - llvm-openmp >=14.0.6
    - llvmlite 0.39.*
    - numpy >=1.18, !=1.22.0, !=1.22.1, !=1.22.2, <1.24
    - python >=3.7,<3.8.0a0
    - setuptools
  run_constrained:
    - cuda-python >=11.6
    - cudatoolkit >=10.2
    - libopenblas !=0.3.6
    - scipy >=1.0
    - tbb >=2021
test:
  requires:
    - cffi
    - clang_osx-64
    - clangxx_osx-64
    - ipykernel
    - ipython
    - jinja2
    - llvm-openmp
    - scipy
    - setuptools
    - tbb  >=2021
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
